[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTabControl.ShowControl

Makes the specified page object the active page in the tabbed control.

## Declaration

Source position: comctrls.pp line 449

`protected procedure TCustomTabControl.ShowControl(`
`APage: TControl`
`); override;`

## Arguments

`APage` |  | Page object to locate and display in the method.

## Description

ShowControl gets the position for the control specified by the APage argument in the Page property, and makes it the active page in the tabbed control. If the control is not found in Page, the inherited ShowControl method is called to display the control.

ShowControl is provided for Delphi compatibility.

## See also

TCustomTabControl.Page |  | Provides indexed access to the page objects used on the tabbed control.
TCustomTabControl.IndexOf |  | Gets the ordinal position in the page list for the specified page object.
TCustomTabControl.PageIndex |  | Ordinal position for the selected page on the tabbed control.
TCustomTabControl.PageToTabIndex |  | Maps a LCL page index to a tab index in the widgetset class.
TCustomTabControl.TabToPageIndex |  | Gets the real page index for the specified tab.
TWinControl.ShowControl |  | Displays the control on its Parent.